This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250018 - RFE: Provide a method to prevent tracker from indexing files
RFE: Provide a method to prevent tracker from indexing files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 07:08 EDT by Doncho N. Gunchev
Modified: 2016-06-28 08:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-28 08:58:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2015-08-04 07:08:07 EDT
Description of problem:

Tracker starts even in KDE. It indexes all files all the time. This is especially annoying on spinning hard drives but also eats write cycles on SSDs.

If I understood it right tracker provides additional features like tags and meta data. Currently I 'dnf remove tracker', but this also removes 'Gnome Boxes' and others. If there is a way to stop tracker from reading, extracting, decompressing and indexing any files it would be much appreciated.

Version-Release number of selected component (if applicable):
1.4.0-1.fc22

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora KDE spin
2. Install Gnome Boxes
3. ps xawww | grep [t]racker, dstat, iostat

Actual results:
Tracker starts to index all my archives, documents, multimedia files, virtual machines, you name it. There's no clean way to disable that.

Expected results:
A clean and simple way to stop tracker from indexing my files. Maybe /etc/sysconfig/no-tracker or /.tracker-disabled or anything.

Additional info:
Having tracker's file indexing feature enabled by default most likely just eats CPU cycles and HDD IO with no benefit for most users.
Comment 1 Igor Gnatenko 2016-06-28 08:58:49 EDT
Closing this issue as it is old. If you still think that it exists - reopen please. Thanks!

Note You need to log in before you can comment on or make changes to this bug.